Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Broken package block the system

  1. #1
    Join Date
    Dec 2005
    Beans
    7
    Distro
    Ubuntu Karmic Koala (testing)

    Broken package block the system

    It start when I open a page with flash content in the Firefox. From there I changed to the Adobe site. I choose ".deb for Ubuntu 8.04+".
    Since this I can not use the package system anymore.
    I try reinstall:
    Code:
    abc:~# sudo aptitude install adobe-flashplugin
    Die folgenden teilweise installierten Pakete werden konfiguriert:
      adobe-flashplugin 
    0 Pakete aktualisiert, 2 zusätzlich installiert, 0 werden entfernt und 5 nicht aktualisiert.
    Muss 0B/530kB an Archiven herunterladen. Nach dem Entpacken werden 2925kB zusätzlich belegt sein.
    Wollen Sie fortsetzen? [Y/n/?] y
    E: Ich konnte keine Datei für Paket adobe-flashplugin finden. Das könnte heißen, dass Sie dieses Paket von Hand korrigieren müssen.
    Schreibe erweiterte Statusinformationen... Fertig
    E: Ich konnte keine Datei für Paket adobe-flashplugin finden. Das könnte heißen, dass Sie dieses Paket von Hand korrigieren müssen.
    E: Interner Fehler: Liste der herunterzuladenden Pakete konnte nicht erzeugt werden
    I try to remove:
    Code:
    abc:~# sudo aptitude purge adobe-flashplugin
    Die folgenden Pakete werden ENTFERNT:
      adobe-flashplugin{p} 
    0 Pakete aktualisiert, 0 zusätzlich installiert, 1 werden entfernt und 5 nicht aktualisiert.
    Muss 0B an Archiven herunterladen. Nach dem Entpacken werden 10,4MB frei werden.
    Wollen Sie fortsetzen? [Y/n/?] y
    Schreibe erweiterte Statusinformationen... Fertig
    dpkg: Fehler beim Bearbeiten von adobe-flashplugin (--purge):
     Paket ist in einem sehr schlechten inkonsistenten Zustand - Sie sollten
     es erneut installieren, bevor Sie es zu entfernen versuchen.
    Fehler traten auf beim Bearbeiten von:
     adobe-flashplugin
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    This has the advice to reinstall.

    I try with dpkg:
    Code:
    abc:~# sudo dpkg -r adobe-flashplugin
    dpkg: Fehler beim Bearbeiten von adobe-flashplugin (--remove):
     Paket ist in einem sehr schlechten inkonsistenten Zustand - Sie sollten
     es erneut installieren, bevor Sie es zu entfernen versuchen.
    Fehler traten auf beim Bearbeiten von:
     adobe-flashplugin
    Anyone a idea to get rid of the "evil" package?

  2. #2
    Join Date
    Oct 2008
    Location
    Guernsey, Channel Islands
    Beans
    438
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Broken package block the system

    Try the following command in Terminal.

    Code:
    sudo apt-get install -f
    Also try the Web Browser Opera it has Flash already built in and I think it is better browser than Firefox.

    Hope that helps

  3. #3
    Join Date
    Dec 2005
    Beans
    7
    Distro
    Ubuntu Karmic Koala (testing)

    Re: Broken package block the system

    Quote Originally Posted by cogier View Post
    Try the following command in Terminal.
    Code:
    abc:~# sudo apt-get install -f
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut       
    Lese Status-Informationen ein... Fertig
    E: Das Paket adobe-flashplugin muss neu installiert werden, ich kann aber kein Archiv dafür finden.
    means: have to re-install / can't find a archive

    Quote Originally Posted by cogier View Post
    Also try the Web Browser ...
    With respect, your opinion about some browser is offtopic in this thread.

  4. #4
    Join Date
    Sep 2009
    Beans
    76
    Distro
    Ubuntu 9.04 Jaunty Jackalope

    Re: Broken package block the system

    Code:
    sudo rm -r /var/cache/apt/archives/*
    Try again

  5. #5
    Join Date
    Dec 2005
    Beans
    7
    Distro
    Ubuntu Karmic Koala (testing)

    Re: Broken package block the system

    To empty the cached packages did not help.
    The problem is still the same.

  6. #6
    Join Date
    Sep 2009
    Beans
    2

    Re: Broken package block the system

    Same problem... after i tried to install the .deb package from adobe via
    dpkg -i install_flash_player_10_linux.de
    i cant use apt or aptitude any longer.

  7. #7
    Join Date
    May 2008
    Location
    Cluj, Romania
    Beans
    1,292

    Re: Broken package block the system

    Try this:

    Code:
    cd /var/lib/dpkg/
    Code:
    sudo cp status status-backup
    Code:
    sudo gedit status
    find the section of ur package and delete it completely
    save file

    Code:
    sudo apt-get update
    Should be fixed...
    Last edited by gradinaruvasile; September 20th, 2009 at 10:17 PM.

  8. #8
    Join Date
    Sep 2009
    Beans
    2

    Re: Broken package block the system

    .. Thank you. This works.
    Last edited by fliegengewicht; September 20th, 2009 at 10:33 PM.

  9. #9
    Join Date
    May 2008
    Location
    Cluj, Romania
    Beans
    1,292

    Re: Broken package block the system

    You are fast... Sorry about that, i mistakenly pressed the submit button. It is fixed now.

  10. #10
    Join Date
    Dec 2005
    Beans
    7
    Distro
    Ubuntu Karmic Koala (testing)

    Re: Broken package block the system

    The problem is solved
    http://ubuntuforums.org/showpost.php...40&postcount=7

    works!

    Thanks all for the attention & assistance
    Special thank to "gradinaruvasile"
    Hardy

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •